searchNodes=[{"doc":"ExHealth is a simple extensible health check utility that monitors your applications. By itself, ExHealth is a supervised GenServer that periodically performs a set of checks, but you can easily configure your it to serve JSON responses that look like: { last_check:&quot;2018-09-18T06:43:53.773719Z&quot;, result:{ check_results:[ [ &quot;Database&quot;, &quot;ok&quot; ], [ &quot;PhoenixExampleWeb_Endpoint&quot;, &quot;ok&quot; ] ], msg:&quot;healthy&quot; } } Getting Started Configuration for ExHealth must be present the Application environment. This can be done by updating the :ex_health values in your config/config.exs: config :ex_health, module: MyApplication.HealthChecks, interval_ms: 1000 Then you must define a module MyApplication.HealthChecks with some checks: defmodule MyApplication.HealthChecks do process_check(MyApplication.CacheServer) test &quot;Redis&quot; do MyRedis.ping() # This should return :ok | {:error, &quot;Message&quot;} end end Integrating with Phoenix To integrate with Phoenix or any other web framework, you can take advantage of ExHealth.Plug which handles serving a JSON response for you. See ExHealth.Plug for instructions.","ref":"ExHealth.html","title":"ExHealth","type":"module"},{"doc":"Defines a healthcheck function. Takes the following arguments: name - a string for the name of the health check block - block that returns :ok | true | {:error, &quot;Reason&quot;} Examples: defmodule MyApp.HealthChecks do health_check(&quot;Database&quot;) do MyDB.ping() # This should return :ok | true | {:error, &quot;Reason&quot;} end end","ref":"ExHealth.html#health_check/2","title":"ExHealth.health_check/2","type":"macro"},{"doc":"Defines a healthcheck function for a given process. Returns :ok if the process has one of the following statuses: :running :waiting See Process.info/1 for more information about process status. Examples: defmodule MyApp.HealthChecks do process_check(MyApp.SomeImportantService) end","ref":"ExHealth.html#process_check/1","title":"ExHealth.process_check/1","type":"macro"},{"doc":"Starts the application with empty state","ref":"ExHealth.html#start/0","title":"ExHealth.start/0","type":"function"},{"doc":"Callback implementation for Application.start/2.","ref":"ExHealth.html#start/2","title":"ExHealth.start/2","type":"function"},{"doc":"Synchronously fetches the latest status from ExHealth.HealthServer Examples: iex(1)&gt; ExHealth.status() %ExHealth.Status{ checks: [ %ExHealth.Check{ mfa: {ExHealth.SelfCheck, :hc__ExHealth_HealthServer, []}, name: &quot;ExHealth_HealthServer&quot; } ], interval_ms: 15000, last_check: nil, result: %{check_results: [], msg: :pending} }","ref":"ExHealth.html#status/0","title":"ExHealth.status/0","type":"function"},{"doc":"Stops the Application","ref":"ExHealth.html#stop/0","title":"ExHealth.stop/0","type":"function"},{"doc":"A struct for storing healthcheck information","ref":"ExHealth.Check.html","title":"ExHealth.Check","type":"module"},{"doc":"","ref":"ExHealth.Check.html#t:t/0","title":"ExHealth.Check.t/0","type":"type"},{"doc":"The HealthServer is a GenServer that is responsible for running all health checks and determining system health. All other integrations must communicate to the HealthServer to get information about the latest checks.","ref":"ExHealth.HealthServer.html","title":"ExHealth.HealthServer","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"ExHealth.HealthServer.html#child_spec/1","title":"ExHealth.HealthServer.child_spec/1","type":"function"},{"doc":"Start the HealthServer for a given state of type ExHealth.Status.t().","ref":"ExHealth.HealthServer.html#start_link/1","title":"ExHealth.HealthServer.start_link/1","type":"function"},{"doc":"A plug for integerating into a web application. Examples: In Phoenix router.ex: scope &quot;/&quot; do forward(&quot;/_health&quot;, ExHealth.Plug) end Please ensure to use scope/2, otherwise the alias will not let you access the ExHealth namespace For a more complete example, see the Example Phoenix App","ref":"ExHealth.Plug.html","title":"ExHealth.Plug","type":"module"},{"doc":"Callback implementation for Plug.call/2.","ref":"ExHealth.Plug.html#call/2","title":"ExHealth.Plug.call/2","type":"function"},{"doc":"Callback implementation for Plug.init/1.","ref":"ExHealth.Plug.html#init/1","title":"ExHealth.Plug.init/1","type":"function"},{"doc":"A struct for storing state of the HealthServer","ref":"ExHealth.Status.html","title":"ExHealth.Status","type":"module"},{"doc":"","ref":"ExHealth.Status.html#to_json/1","title":"ExHealth.Status.to_json/1","type":"function"},{"doc":"","ref":"ExHealth.Status.html#t:t/0","title":"ExHealth.Status.t/0","type":"type"}]